<?php 

// Variabls transmise dans l'URL
$valeur = $_GET['valeur'];

if(strlen(trim($valeur))==1 AND is_numeric($valeur)==true){
	$resultat = 1;
}elseif(strlen(trim($valeur))==1 AND is_string($valeur)==true){
	$resultat = 2;
}else{
	$resultat = 0;
}

echo $resultat;

?>